Bug 922278 - vcstools 0.1.29 is available
Summary: vcstools 0.1.29 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-vcstools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/vcstools/vcstools/...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-15 22:55 UTC by Ankur Sinha (FranciscoD)
Modified: 2013-05-02 01:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-02 01:30:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2013-03-15 22:55:12 UTC
Description of problem:
Please update the package to the latest version in rawhide. Current version in rawhide is 0.1.26 while 0.1.29 is available. Can you also please push the updates to stable branches as these are minor version upgrades? (Using ros on a stable version of fedora requires the latest vcstools)

https://pypi.python.org/pypi/vcstools

I was also wondering why we're tracking git checkouts rather than release tarballs available at the pypi page.

Thanks,
Warm regards,
Ankur

Comment 1 Rich Mattes 2013-03-18 23:03:51 UTC
I'm upgrading to 0.1.30 now.

The source distributions on pypi don't include any of the documentation (html, manpages), so I'm pulling from github instead.

Comment 2 Ankur Sinha (FranciscoD) 2013-03-18 23:56:08 UTC
Ugh!

I've filed an issue with upstream. Hopefully, they'll include docs in the next release.

Thanks,
Ankur

Comment 3 Ankur Sinha (FranciscoD) 2013-03-19 02:59:22 UTC
Hi,

Upstream suggests we use the tagged release tarballs from github. Somehow, they contain the docs but the ones at pypi do not. Not sure why, but the tagged tarballs do serve our purpose. 

https://github.com/vcstools/vcstools/tags

I'll note that we should first look to the release tarballs at github before looking at pypi for all ros related packages, just to be sure.

Thanks,
Ankur

Comment 4 Rich Mattes 2013-03-21 02:19:26 UTC
Yeah, I've been grabbing the tags from github (via the commands in the spec).  It's kind of annoying, but it could be worse I suppose (like when things were on kforge and I needed to make a script to do an hg archive).  I submitted the update earlier today but I forgot to include this bug number, I'll see if I can go back and add it.

Comment 5 Fedora Update System 2013-03-21 02:21:41 UTC
python-rosinstall-0.6.26-1.20130318git6d482b2.fc18, python-rosdep-0.10.14-1.20130318git76a8fef.fc18, python-rospkg-1.0.20-1.20130318git0a4448e.fc18, python-vcstools-0.1.30-1.20130318git963c121.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-rosinstall-0.6.26-1.20130318git6d482b2.fc18,python-rosdep-0.10.14-1.20130318git76a8fef.fc18,python-rospkg-1.0.20-1.20130318git0a4448e.fc18,python-vcstools-0.1.30-1.20130318git963c121.fc18

Comment 6 Fedora Update System 2013-03-22 00:07:44 UTC
Package python-rosinstall-0.6.26-1.20130318git6d482b2.fc18, python-rosdep-0.10.14-1.20130318git76a8fef.fc18, python-rospkg-1.0.20-1.20130318git0a4448e.fc18, python-vcstools-0.1.30-1.20130318git963c121.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-rosinstall-0.6.26-1.20130318git6d482b2.fc18 python-rosdep-0.10.14-1.20130318git76a8fef.fc18 python-rospkg-1.0.20-1.20130318git0a4448e.fc18 python-vcstools-0.1.30-1.20130318git963c121.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4163/python-rosinstall-0.6.26-1.20130318git6d482b2.fc18,python-rosdep-0.10.14-1.20130318git76a8fef.fc18,python-rospkg-1.0.20-1.20130318git0a4448e.fc18,python-vcstools-0.1.30-1.20130318git963c121.fc18
then log in and leave karma (feedback).


Note You need to log in before you can comment on or make changes to this bug.